# Asterisk Project : Asterisk 13 ManagerEvent_Status

Created by wikibot on Aug 08, 2014

# Status

### Synopsis

Raised in response to a Status command.

### Description

### Syntax

    Event: Status
    [ActionID:] <value>
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    Type: <value>
    DNID: <value>
    TimeToHangup: <value>
    BridgeID: <value>
    Linkedid: <value>
    Application: <value>
    Data: <value>
    Nativeformats: <value>
    Readformat: <value>
    Readtrans: <value>
    Writeformat: <value>
    Writetrans: <value>
    Callgroup: <value>
    Pickupgroup: <value>
    Seconds: <value>

##### Arguments

- `ActionID`
- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `Type` - Type of channel
- `DNID` - Dialed number identifier
- `TimeToHangup` - Absolute lifetime of the channel
- `BridgeID` - Identifier of the bridge the channel is in, may be empty if not in one
- `Linkedid`
- `Application` - Application currently executing on the channel
- `Data` - Data given to the currently executing channel
- `Nativeformats` - Media formats the connected party is willing to send or receive
- `Readformat` - Media formats that frames from the channel are received in
- `Readtrans` - Translation path for media received in native formats
- `Writeformat` - Media formats that frames to the channel are accepted in
- `Writetrans` - Translation path for media sent to the connected party
- `Callgroup` - Configured call group on the channel
- `Pickupgroup` - Configured pickup group on the channel
- `Seconds` - Number of seconds the channel has been active

### Class

CALL

### See Also

- Asterisk 13 ManagerAction_Status

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538